﻿using System.Collections.Generic;
using System.Runtime.Serialization;

namespace AutoLoL.Entities
{
    [DataContract]
    public class ChatItem
    {
        public ChatItem(int index, string title)
        {
            Index = index;
            Title = title;
        }

        /// <summary>
        /// Should be a value from 1 - 6
        /// </summary>
        [DataMember]
        public int Index { get; set; }

        [DataMember]
        public string Title { get; set; }

        [DataMember]
        public List<ChatItem> Children { get; set; }
    }
}
