﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using AutoLoL.Logic.Windows;
using AutoLoL.Shared;

namespace AutoLoL.Dialogs
{
    /// <summary>
    /// Interaction logic for SelectWindowDialog.xaml
    /// </summary>
    public partial class SelectWindowDialog : Window
    {
        public MASTERY_WINDOWS? MasteryWindow { get; set; }

        public SelectWindowDialog()
        {
            InitializeComponent();
            CancelButton.IsDefault = true;
            CancelButton.IsCancel = true;
        }

        private void ChampSelectButton_Click(object sender, RoutedEventArgs e)
        {
            MasteryWindow = MASTERY_WINDOWS.ChampionSelect;
            Close();
        }

        private void UserProfileButton_Click(object sender, RoutedEventArgs e)
        {
            MasteryWindow = MASTERY_WINDOWS.UserProfile;
            Close();
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            MasteryWindow = null;
            Close();
        }
    }
}
