﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Media.Imaging;

namespace AutoLoL.Entities
{
    public class Skin
    {
        public string Name { get; set; }

        public string ObjPath { get; set; }

        public string JpegPath { get; set; }

        public RafFile SknRafFile { get; set; }

        public RafFile DdsRafFile { get; set; }

        public string SknFileName { get; set; }

        public string DdsFileName { get; set; }

        public Skin(string name, string objPath, string jpegPath)
        {
            Name = name;
            ObjPath = objPath;
            JpegPath = jpegPath;
        }

        public Skin(string name, RafFile sknRafFile, RafFile ddsRafFile, string sknFileName, string ddsFileName)
        {
            this.Name = name;
            this.SknRafFile = sknRafFile;
            this.DdsRafFile = ddsRafFile;
            this.SknFileName = sknFileName;
            this.DdsFileName = ddsFileName;
        }
    }
}
